在ubuntu下编译软件总是缺这缺那

为当前最终发行版之前的所有版本提供支持
回复
waterloo2005
帖子: 362
注册时间: 2007-01-15 20:53
送出感谢: 0
接收感谢: 0

在ubuntu下编译软件总是缺这缺那

#1

帖子 waterloo2005 » 2007-01-29 17:14

听说,red hat比较适合科学计算平台
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#2

帖子 yohu » 2007-01-29 17:51

redhat还不是一样要装开发包?哪个平台不是一样的?
ubuntu下有apt-get build-dep的命令直接可以安装编译所缺的包,redhat有吗?如果你不知道包的名称,redhat的依赖性会让你抓狂的。
拥有超级牛力的搜索引擎:
http://www.google.com/linux
http://www.google.com/
xybds
帖子: 120
注册时间: 2006-05-29 14:09
送出感谢: 0
接收感谢: 0

#3

帖子 xybds » 2007-01-29 19:05

redhat 实在太老了,跟ubuntu没法比。缺包每个发行版都会遇到。ubuntu源比较丰富,缺了也好找
sontjer
帖子: 55
注册时间: 2007-01-03 17:25
送出感谢: 0
接收感谢: 0

#4

帖子 sontjer » 2007-01-29 20:55

看来lz还是没有体会到ubuntu的依赖性方面的优势,redhat绝对令你狂抓不止
purewind
帖子: 452
注册时间: 2006-11-18 15:40
送出感谢: 0
接收感谢: 0

#5

帖子 purewind » 2007-01-29 21:51

亏了二楼,长见识了
linux什么最重要?硬件要旧,软件要新!
Ubuntu什么最重要?源要全!网要快!
不是你不明白,是linux变化快
人品也很重要
xiechy
帖子: 1074
注册时间: 2006-01-18 15:01
送出感谢: 0
接收感谢: 1 次

#6

帖子 xiechy » 2007-01-30 18:35

redhat 体系也有apt的,不过是将源文件变成rpm。也能解决依赖。
从yellow dog中引入的yum也是apt系统的良好替代。
做cluster redhat确实好些。只是国内的源比较少,不如debian系多。
回复

回到 “老旧版本支持”